Bug 525905 - nouveau driver does not work with geforce 6100
nouveau driver does not work with geforce 6100
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
12
All Linux
low Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-26 18:27 EDT by shmuel siegel
Modified: 2010-12-04 02:37 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 578965 (view as bug list)
Environment:
Last Closed: 2010-12-04 02:37:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg showing nouveau issue (35.77 KB, text/plain)
2009-09-26 18:30 EDT, shmuel siegel
no flags Details
xorg log for nv not working (10.06 KB, text/plain)
2009-09-26 18:31 EDT, shmuel siegel
no flags Details
xorg.log without nomodeset using nouveau. kernel 2.6.31.1-48.fc12.x86_64 (69.23 KB, text/plain)
2009-09-28 19:47 EDT, shmuel siegel
no flags Details
Screen capture of the display corruption (465.55 KB, image/png)
2010-01-13 23:56 EST, Clinton Work
no flags Details

  None (edit)
Description shmuel siegel 2009-09-26 18:27:15 EDT
Description of problem:
Basically the nouveau driver cause x to hang on my system.
For a preupgrade/anaconda install this cause anaconda to not work at all unless I set the xdriver to vesa.
For an installed system it means that I don't have X.
I will upload a dmesg and xorg.log showing problems with nouveau despite the xorg.conf using nv. I prefer to not generate an xorg.log for a xorg.conf using nouveau since it will be a lot harder to recover from that.
Comment 1 shmuel siegel 2009-09-26 18:30:46 EDT
Created attachment 362789 [details]
dmesg showing nouveau issue
Comment 2 shmuel siegel 2009-09-26 18:31:38 EDT
Created attachment 362790 [details]
xorg log for nv not working
Comment 3 Ben Skeggs 2009-09-26 19:25:46 EDT
For nouveau, can you update to at least kernel-2.6.31.1-46.fc12 and retry.

For nv, it's not going to work while nouveau has control of the hardware.  Boot with "nomodeset" in your boot options.
Comment 4 shmuel siegel 2009-09-27 06:35:12 EDT
updating to 48 did not change anything. Nomodeset does work, so at least I have a working x system now. It is still going to be a problem to upgraders.
Comment 5 Ben Skeggs 2009-09-27 07:08:50 EDT
Is that nomodeset with nv that works? Or nomodeset with nouveau?
Comment 6 shmuel siegel 2009-09-28 14:24:19 EDT
Actually with nomodeset I can use either driver.
Comment 7 Ben Skeggs 2009-09-28 18:17:38 EDT
Ok, well it looks like the latest kernel has actually fixed some of the known issues on your chipset then, and an issue seen in your kernel log you attached earlier.

So, are you able to post /var/log/Xorg.0.log from using nouveau with nomodeset and your /var/log/messages from trying to use nouveau without nomodeset.  Without nomodeset, do you see the plymouth boot screen and/or boot messages?  Or nothing at all when nouveau takes control?
Comment 8 shmuel siegel 2009-09-28 19:47:15 EDT
Created attachment 362949 [details]
xorg.log without nomodeset using nouveau. kernel 2.6.31.1-48.fc12.x86_64 

I don't claim to understand what I just saw. I rebooted into level 5 without the nomodeset. The modeset was done since I switched to proper screen resolution. Dmessage still reports the GPU lockup and the screen spent a few seconds with total noise. But then the cursor appeared over the noise and finally a real login screen. Maybe startx at init 3 is different and maybe I just didn't have enough patience for the driver to recover.

There are hundreds of lines in dmesg of the form
[drm] nouveau 0000:00:05.0: PFIFO_DMA_PUSHER - Ch 1
[drm] nouveau 0000:00:05.0: PFIFO_DMA_PUSHER - Ch 0
followed by
[drm] nouveau 0000:00:05.0: Failed to idle channel 1.  Prepare for strangeness..
[drm] nouveau 0000:00:05.0: PFIFO_DMA_PUSHER - Ch 0
Comment 9 Ben Skeggs 2009-10-08 20:03:36 EDT
What you seen was nouveau detecting a GPU lockup, and X switching off acceleration so it could still operate.  I'm not really sure what you're seeing, I've just tested a machine with the same chipset and it appears to be functioning correctly.  This is with 2.6.31.1-56.fc12, but, there were no nouveau changes since the version you tested and that version.

There were further fixes to various potentially-related areas of nouveau recently.  These would be available in http://koji.fedoraproject.org/koji/buildinfo?buildID=135765 if you wish to test.
Comment 10 Andy 2009-11-07 00:08:17 EST
that's the thing, I don't see anything my laptop screen remains completely blank. I copied the messages file completely blind
Comment 11 Bug Zapper 2009-11-16 08:00:04 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Clinton Work 2010-01-13 23:54:46 EST
I'm having display corruption with FC12 and a GeForce 6150 card.  Not sure if the problem is related to this bug or not.   

00:05.0 VGA compatible controller: nVidia Corporation C51PV [GeForce 6150] (rev a2) (prog-if 00 [VGA controller])
        Subsystem: Micro-Star International Co., Ltd. K8NGM2 series
        Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 19
        Memory at fd000000 (32-bit, non-prefetchable) [size=16M]
        Memory at d0000000 (64-bit, prefetchable) [size=256M]
        Memory at fc000000 (64-bit, non-prefetchable) [size=16M]
        Expansion ROM at feae0000 [disabled] [size=128K]
        Capabilities: <access denied>
        Kernel driver in use: nouveau
        Kernel modules: nouveau, nvidiafb


I also get a constant stream of the following messages in dmesg:

[drm] nouveau 0000:00:05.0: PFIFO_CACHE_ERROR - Ch 0/0 Mthd 0x0310 Data 0x010d7000
[drm] nouveau 0000:00:05.0: PFIFO_CACHE_ERROR - Ch 0/0 Mthd 0x0314 Data 0x00001000
[drm] nouveau 0000:00:05.0: PFIFO_CACHE_ERROR - Ch 0/0 Mthd 0x0318 Data 0x00001000
[drm] nouveau 0000:00:05.0: PFIFO_CACHE_ERROR - Ch 0/0 Mthd 0x031c Data 0x00001000
[drm] nouveau 0000:00:05.0: PFIFO_CACHE_ERROR - Ch 0/0 Mthd 0x0320 Data 0x000003ce
[drm] nouveau 0000:00:05.0: PFIFO_CACHE_ERROR - Ch 0/0 Mthd 0x0324 Data 0x00000101
[drm] nouveau 0000:00:05.0: PFIFO_CACHE_ERROR - Ch 0/0 Mthd 0x0328 Data 0x00000000
[drm] nouveau 0000:00:05.0: PFIFO_CACHE_ERROR - Ch 0/0 Mthd 0x0100 Data 0x00000000
Comment 13 Clinton Work 2010-01-13 23:56:33 EST
Created attachment 383610 [details]
Screen capture of the display corruption

Common display issues:
- Background get random noise
- Icons/buttons are the first to start with display corruption.
Comment 14 Clinton Work 2010-01-13 23:58:42 EST
I should have added the kernel version and x11 driver.  

[pulsar ~]$ rpm -qa | egrep -i 'nouveau|kernel-' | sort
kernel-PAE-2.6.31.9-174.fc12.i686
xorg-x11-drv-nouveau-0.0.15-17.20091105gite1c2efd.fc12.i686
Comment 15 Adam Williamson 2010-01-14 01:28:50 EST
clinton: please file a separate bug. thanks.
Comment 16 Bug Zapper 2010-11-04 05:48:00 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2010-12-04 02:37:54 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.